544f62bdc19a290d55d3a813b0c05979ae40f23e
[openwrt/openwrt.git] / toolchain / binutils / Config.in
1 # Choose binutils version.
2
3 choice
4 prompt "Binutils Version" if TOOLCHAINOPTS
5 default BINUTILS_VERSION_2_18 if avr32
6 default BINUTILS_VERSION_2_19_1
7 help
8 Select the version of binutils you wish to use.
9
10 config BINUTILS_VERSION_2_18
11 bool "binutils 2.18"
12
13 config BINUTILS_VERSION_2_19_1
14 depends !avr32
15 bool "binutils 2.19.1"
16
17 config BINUTILS_VERSION_CS
18 depends !avr32
19 depends !ubicom32
20 depends BROKEN
21 bool "binutils 2.19.1+20090205 with CodeSourcery enhancements"
22
23 endchoice
24
25 config EXTRA_BINUTILS_CONFIG_OPTIONS
26 string
27 prompt "Additional binutils configure options" if TOOLCHAINOPTS
28 default ""
29 help
30 Any additional binutils options you may want to include....
31
32 config BINUTILS_VERSION
33 string
34 prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
35 default "2.18" if BINUTILS_VERSION_2_18
36 default "2.19.1" if BINUTILS_VERSION_2_19_1
37 default "2.19.1+cs" if BINUTILS_VERSION_CS
38 default "2.18" if avr32
39 default "2.19.1"